Package org.eclipse.cdt.core.dom.ast.c

# Interface ICASTArrayDesignator

All Superinterfaces:
  `IASTNode`, `ICASTDesignator`

public interface ICASTArrayDesignator extends ICASTDesignator
C-style array designator. e.g. struct ABC { int def[10] }; struct ABC instance = { def[0] = 9 };

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ASTNodeProperty`
`SUBSCRIPT_EXPRESSION`
`SUBSCRIPT_EXPRESSION` represents the relationship between the designator and the subscript expression.

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`ICASTArrayDesignator`
`copy()`
Returns a mutable copy of the tree rooted at this node.
`ICASTArrayDesignator`
`copy(IASTNode.CopyStyle style)`
Returns a mutable copy of the tree rooted at this node.
`IASTExpression`
`getSubscriptExpression()`
Get the subsript expression.
`void`
`setSubscriptExpression(IASTExpression value)`
Set the subscript expression.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

## Field Details

### SUBSCRIPT_EXPRESSION

static final ASTNodeProperty SUBSCRIPT_EXPRESSION
`SUBSCRIPT_EXPRESSION` represents the relationship between the designator and the subscript expression.

## Method Details

### getSubscriptExpression

IASTExpression getSubscriptExpression()
Get the subsript expression.

Returns:
  value `IASTExpression`

### setSubscriptExpression

void setSubscriptExpression(IASTExpression value)
Set the subscript expression.

Parameters:
  `value` - `IASTExpression`

### copy

ICASTArrayDesignator copy()
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `ICASTDesignator`
Since:
  5.1

### copy

ICASTArrayDesignator copy(IASTNode.CopyStyle style)
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `ICASTDesignator`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.
Since:
  5.3